Create webhook
curl --request POST \
--url https://api.sftpsync.io/webhooks \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"url": "<string>",
"description": "<string>",
"headers": {},
"isActive": true
}
'import requests
url = "https://api.sftpsync.io/webhooks"
payload = {
"name": "<string>",
"url": "<string>",
"description": "<string>",
"headers": {},
"isActive": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
description: '<string>',
headers: {},
isActive: true
})
};
fetch('https://api.sftpsync.io/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"eventType": "<string>",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"secret": "<string>",
"description": "<string>",
"headers": {}
}Webhooks
Create webhook
POST
/
webhooks
Create webhook
Authorizations
Body
application/json
Response
201 - application/json
Webhook created. The response includes the signing secret — shown once, never returned again.
Returned by POST /webhooks only. Identical to Webhook plus the generated signing secret, which is shown once here and never again.
Defaults to GENERAL. Set server-side; not accepted on create/update.
HMAC signing secret. Store it now — it is never returned again.
Show child attributes
Show child attributes
⌘I